Package org.codehaus.groovy.runtime.typehandling

# Class LongMath

java.lang.Object
org.codehaus.groovy.runtime.typehandling.NumberMath
org.codehaus.groovy.runtime.typehandling.LongMath

    public final class LongMath
    extends NumberMath

Long NumberMath operations

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static LongMath` | `INSTANCE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected java.lang.Number` | `absImpl​(java.lang.Number number)` |
  `java.lang.Number` | `addImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `andImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `bitAndImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `bitwiseNegateImpl​(java.lang.Number left)` |
  `int` | `compareToImpl​(java.lang.Number left, java.lang.Number right)` |
  `java.lang.Number` | `divideImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `intdivImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `leftShiftImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `modImpl​(java.lang.Number left, java.lang.Number right)` |
  `java.lang.Number` | `multiplyImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `orImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `rightShiftImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `rightShiftUnsignedImpl​(java.lang.Number left, java.lang.Number right)` |
  `java.lang.Number` | `subtractImpl​(java.lang.Number left, java.lang.Number right)` |
  `protected java.lang.Number` | `unaryMinusImpl​(java.lang.Number left)` |
  `protected java.lang.Number` | `unaryPlusImpl​(java.lang.Number left)` |
  `protected java.lang.Number` | `xorImpl​(java.lang.Number left, java.lang.Number right)` |

  ### Methods inherited from class org.codehaus.groovy.runtime.typehandling.NumberMath

  `abs, add, and, bitwiseNegate, compareTo, createUnsupportedException, divide, getMath, intdiv, isBigDecimal, isBigInteger, isByte, isFloatingPoint, isInteger, isLong, isShort, leftShift, mod, multiply, or, rightShift, rightShiftUnsigned, subtract, toBigDecimal, toBigInteger, unaryMinus, unaryPlus, xor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final LongMath INSTANCE

- ## Method Details

  - ### absImpl

    protected java.lang.Number absImpl​(java.lang.Number number)
    Specified by:
      `absImpl` in class `NumberMath`

  - ### addImpl

    public java.lang.Number addImpl​(java.lang.Number left, java.lang.Number right)
    Specified by:
      `addImpl` in class `NumberMath`

  - ### subtractImpl

    public java.lang.Number subtractImpl​(java.lang.Number left, java.lang.Number right)
    Specified by:
      `subtractImpl` in class `NumberMath`

  - ### multiplyImpl

    public java.lang.Number multiplyImpl​(java.lang.Number left, java.lang.Number right)
    Specified by:
      `multiplyImpl` in class `NumberMath`

  - ### divideImpl

    public java.lang.Number divideImpl​(java.lang.Number left, java.lang.Number right)
    Specified by:
      `divideImpl` in class `NumberMath`

  - ### compareToImpl

    public int compareToImpl​(java.lang.Number left, java.lang.Number right)
    Specified by:
      `compareToImpl` in class `NumberMath`

  - ### intdivImpl

    protected java.lang.Number intdivImpl​(java.lang.Number left, java.lang.Number right)
    Overrides:
      `intdivImpl` in class `NumberMath`

  - ### modImpl

    protected java.lang.Number modImpl​(java.lang.Number left, java.lang.Number right)
    Overrides:
      `modImpl` in class `NumberMath`

  - ### unaryMinusImpl

    protected java.lang.Number unaryMinusImpl​(java.lang.Number left)
    Specified by:
      `unaryMinusImpl` in class `NumberMath`

  - ### unaryPlusImpl

    protected java.lang.Number unaryPlusImpl​(java.lang.Number left)
    Specified by:
      `unaryPlusImpl` in class `NumberMath`

  - ### bitwiseNegateImpl

    protected java.lang.Number bitwiseNegateImpl​(java.lang.Number left)
    Overrides:
      `bitwiseNegateImpl` in class `NumberMath`

  - ### orImpl

    protected java.lang.Number orImpl​(java.lang.Number left, java.lang.Number right)
    Overrides:
      `orImpl` in class `NumberMath`

  - ### andImpl

    protected java.lang.Number andImpl​(java.lang.Number left, java.lang.Number right)
    Overrides:
      `andImpl` in class `NumberMath`

  - ### xorImpl

    protected java.lang.Number xorImpl​(java.lang.Number left, java.lang.Number right)
    Overrides:
      `xorImpl` in class `NumberMath`

  - ### leftShiftImpl

    protected java.lang.Number leftShiftImpl​(java.lang.Number left, java.lang.Number right)
    Overrides:
      `leftShiftImpl` in class `NumberMath`

  - ### rightShiftImpl

    protected java.lang.Number rightShiftImpl​(java.lang.Number left, java.lang.Number right)
    Overrides:
      `rightShiftImpl` in class `NumberMath`

  - ### rightShiftUnsignedImpl

    protected java.lang.Number rightShiftUnsignedImpl​(java.lang.Number left, java.lang.Number right)
    Overrides:
      `rightShiftUnsignedImpl` in class `NumberMath`

  - ### bitAndImpl

    protected java.lang.Number bitAndImpl​(java.lang.Number left, java.lang.Number right)